package com.ruoyi.project.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.system.domain.QuoteLog;

import java.util.List;
import java.util.Map;

/**
 * 查询日志Mapper接口
 *
 * @author zhu
 * @date 2023-11-07
 */
public interface QuoteLogMapper extends BaseMapper<QuoteLog> {
    /**
     * 查询查询日志
     *
     * @param id 查询日志主键
     * @return 查询日志
     */
    public QuoteLog selectQuoteLogById(Long id);

    /**
     * 查询查询日志列表
     *
     * @param quoteLog 查询日志
     * @return 查询日志集合
     */
    public List<QuoteLog> selectQuoteLogList(QuoteLog quoteLog);

    /**
     * 新增查询日志
     *
     * @param quoteLog 查询日志
     * @return 结果
     */
    public int insertQuoteLog(QuoteLog quoteLog);

    /**
     * 修改查询日志
     *
     * @param quoteLog 查询日志
     * @return 结果
     */
    public int updateQuoteLog(QuoteLog quoteLog);

    /**
     * 删除查询日志
     *
     * @param id 查询日志主键
     * @return 结果
     */
    public int deleteQuoteLogById(Long id);

    /**
     * 批量删除查询日志
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuoteLogByIds(Long[] ids);

    Map<String, Object> select();
}
